Summary:   Popular Unix Irc client
Name:      ircii-EPIC
Version:   3.004+SrfRoG
Release:   1
Source:    ircii-EPIC-3.004+SrfRoG.tar.gz
Patch:     ircii-EPIC-3.004+SrfRoG.patch
Copyright: Look into doc for Copyright
Group:     Applications/Communications
Buildroot: /tmp/ircii-EPIC-%{PACKAGE_VERSION}-root

%description
This is a popular Internet Relay Chat (IRC) client. EPIC is the (E)nhanced
(P)rogrammable (I)RC-II (C)lient.  It is a program used to connect to IRC
servers around the globe so that the user can `chat'' with others.

%prep
%setup
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
make installeverything prefix=$RPM_BUILD_ROOT/usr INSTALL_PROGRAM="install -s"
make installhelp prefix=$RPM_BUILD_ROOT/usr INSTALL_PROGRAM="install -s"
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
cp doc/ircII.1 $RPM_BUILD_ROOT/usr/man/man1/ircii.1
cat  << EOF > $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
warszawa.irc.pl:6667
lublin.irc.pl:6667
krakow.irc.pl:6667
poznan.irc.pl:6667
hub.irc.pl:6667
EOF
rm $RPM_BUILD_ROOT/usr/bin/irc
cd $RPM_BUILD_ROOT/usr/bin; ln -s irc-2.8.2-EPIC3.004 irc

%clean
rm -rf $RPM_BUILD_ROOT
%post

%files
%attr(-, root, root) %doc INSTALL UPDATES doc/Copyright doc/EPIC_VERSIONS doc/IRCII_VERSIONS doc/ircII.1 doc/EPIC_ABOUT doc/IRCII_BUGS doc/dccresum.txt doc/ircserv doc/EPIC_THANKS doc/IRCII_TODO doc/example_menu
%attr(755, root, root) /usr/bin/irc
%attr(755, root, root) /usr/bin/irc-2.8.2-EPIC3.004
%attr(755, root, root) /usr/bin/ircflush
%attr(755, root, root) /usr/bin/ircserv
%attr(755, root, root) /usr/bin/wserv
%attr(644, root, root) /usr/man/man1/ircii.1
%attr(-, root, root) /usr/lib/irc


%changelog

* Sat May 30 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- BuildRoot'ed
- added small patch (to compile EPIC3 under RH5 and gcc 2.8.1)

